# Interface WriteArchivist<TReadResponse, TWriteResponse, TWrite, TId>

#### Type Parameters

- #### TReadResponse

- #### TWriteResponse = TReadResponse

- #### TWrite = TReadResponse

- #### TId = string

#### Hierarchy

- WriteArchivist
  - Archivist

- Defined in modules/packages/archivist/packages/model/dist/types/Archivist.d.ts:12

#####
Index

### Methods

clear?
delete?
insert

## Methods

### `Optional` clear

- clear(): Promisable<void, never>

- #### Returns Promisable<void, never>

  - Defined in modules/packages/archivist/packages/model/dist/types/Archivist.d.ts:13

### `Optional` delete

- delete(ids): PromisableArray<boolean, never>

- #### Parameters

  - ##### ids: TId[]

  #### Returns PromisableArray<boolean, never>

  - Defined in modules/packages/archivist/packages/model/dist/types/Archivist.d.ts:14

### insert

- insert(item): PromisableArray<TWriteResponse, never>

- #### Parameters

  - ##### item: TWrite[]

  #### Returns PromisableArray<TWriteResponse, never>

  - Defined in modules/packages/archivist/packages/model/dist/types/Archivist.d.ts:15

Generated using TypeDoc